<div FxLayout="row" class="header">

  <div fxFlex="80%" id="logo">
    <a routerLink="/"><img src="../../../assets/img/Yum-logo-small.png"></a>
  </div>

  <div fxLayout="row" fxFlex="20%" id="profile">

    <div *ngIf="!((obs| async).user.hasPicture)" class="nopic">
      <i class="material-icons">face</i>
    </div>
    <div *ngIf="((obs | async).user.hasPicture)">
      <img [src]="(obs | async).picUrl" width="44px" height="44px">
    </div>

    <div class="name">
      <p>
        <span>{{(authenticationService.getLoggedUserObservable() | async).user?.firstName}}</span><br>
        <span>{{(authenticationService.getLoggedUserObservable() | async).user?.lastName}}</span>
      </p>
    </div>

    <div id="menu">
      <button title="Settings" md-mini-fab [mdMenuTriggerFor]="profileMenu">
        <i class="material-icons">keyboard_arrow_down</i>
      </button>


      <md-menu #profileMenu="mdMenu" xPosition="before" yPosition="below" [overlapTrigger]="false">
        <div class="menu-content">
          <div>
            <button md-button color="primary" class="button-strong-text" routerLink="/settings">
              <i class="material-icons">person</i>
              <span>Account Settings</span>
            </button>
            <button md-mini-fab routerLink="/" id="logout" (click)="logout()">
              <i class="material-icons">power_settings_new</i>
              </button>
          </div>

          <div class="center-text" style="margin-top:2em;" *ngIf="user?.role === 'CHEF' || user?.role === 'ADMIN'">
            <p class="bold-text">View as</p>

            <!-- Hungry button -->
            <button md-button routerLink="/hungry" routerLinkActive #hungryRla="routerLinkActive" routerLinkActive="active" class="button-strong-text" [ngClass]="{'active-link': hungryRla.isActive, 'inactive-link': !hungryRla.isActive}" [disabled]="hungryRla.isActive">Hungry</button>

            <!-- Chef button -->
            <button md-button routerLink="/chef" routerLinkActive #chefRla="routerLinkActive" routerLinkActive="active" class="button-strong-text" [ngClass]="{'active-link': chefRla.isActive, 'inactive-link': !chefRla.isActive}" [disabled]="chefRla.isActive">Chef</button>

            <!-- Admin button -->
            <button md-button routerLink="/admin" routerLinkActive #adminRla="routerLinkActive" routerLinkActive="active" class="button-strong-text" [ngClass]="{'active-link': adminRla.isActive, 'inactive-link': !adminRla.isActive}" [disabled]="adminRla.isActive" *ngIf="user?.role === 'ADMIN'">Admin</button>
          </div>
        </div>
      </md-menu>
    </div>

  </div>

</div>
